type ShopConfHost {
  assetsUrl: String
  baseUri: String
  current: String
  staticDamNws: String
  static: String
  static2: String
  mediaVehicle: String
}
type SiteKey {
  siteKey: String

}
type GoogleRecaptcha{
  recaptchaSrc: String
  verifyUrl: String
  v2: SiteKey
  v3: SiteKey
}
type ShopConfGoogle{
  appleAppId: String
  googleAppId: String
  recaptcha: GoogleRecaptcha
  measurement_id: String
}
type ShopConfMobile {
  domain: String
}

type ShopConfHome{
  domain: String
  chains: String
  tyres: String
  manufacturers: String
  brands: String
}


# the whole assets is some sort env vars and never changed
type ShopConfAssets {
  imgManufacturersPath: String

  # it is always "/front/misterauto/commons/img/stickers/"
  stickers: String
  # why we need this ? (for the image format, so no need for the future)
  twigVersion: String
}

type SubDomain {
  default: String
}
type ShopConf {
  cleanedOriginalPageType: String
  channel: String
  serviceNumber: String
  host: ShopConfHost
  cleanedOriginalPageType: String
  google: ShopConfGoogle
  staticDamNws: String
  lang: String
  locale: String
  country: String
  home: ShopConfHome
  mobile: ShopConfMobile
  assets: ShopConfAssets
  isLocalCountry: Boolean
  isMisterAutoIp: Boolean

  # what is the difference between cleanedOriginalPageType and typePage ?
  cleanedOriginalPageType: String
  typePage: String
  subdomain: SubDomain
  ABTestsRaw: String
  googleTagManagerId: String
  googleTagManagerTestingOverride: String
  # seems not in the data from the current data source
  cgv: String
  legalNotice: String
  privacyPolicy: String
  cookies: String
  garantie: String
  faq: String
  myCommand: String
  iconsPayment: String
}

type UnUsedState {
  testAbFaMpiName: String
  testAbFaMpiValue: String
}

type Parameters {
  generic: Int
  family: Int
  category: Int
  reference: Int
}

type HeaderLinkData{
  displayPro: Boolean
}

type HeaderLink {
  data:  HeaderLinkData
  moduleLabel: String
}

type PhoneBlockData{
  type: String
  genericId: Int
}

# i can not find how we use id  in old campaign
# we only use moduleLabel = OldCampaign
type PhoneBlock {
  data: PhoneBlockData
  display: Boolean
  moduleLabel: String
}


type FlagBlockData{
  activeLocaleLabel: String
}
# we only use moduleLabel = Flags
# need to list all the properties we need
type FlagBlock {
  data: FlagBlockData
  moduleLabel: String
}

type FooterBlockData {
  id: Int
  name: String
  url: String
}
# Can not find all the properties used
type FooterBlock {
  data: FooterBlockData
  moduleLabel: String
}

type ModuleSelector {
  numberInChoice: Int
}
type FrontMenuBlockDataCategory{
  id: Int
  children: [FrontMenuBlockDataCategory!]
  label: String
}
type FrontMenuBlockData {
  categories: [FrontMenuBlockDataCategory!]
}
# always data.frontMenu[0].data.categories
# used in NavBarB
type FrontMenuBlock {
  data: [FrontMenuBlockData!]
}
type MaListElementData {
  obfuscated: Boolean!
  url_obfuscated: String
  name: String
  url: String
}
type MaListElement {
  data: [MaListElementData!]
}
union MaList = MaListElement | MaListElementData
# used in MenuFooterWI.vue
type FooterMenuBlockData {
  categoryName: String
  products: [MaList!]
}
type FooterMenuBlock {
  data: [FooterMenuBlockData]
}
type HrefLangDataContent {
  url: String
  code: String
}
type HrefLangData{
  content: HrefLangDataContent
}

# the actual the format is this:
# "content": {
#          "FR": {
#            "fr": "https://www.hao-tan.dev-front.ma.com/"
#          },
# }

type HrefLang{
  data:HrefLangData
}

type Seo {
  metaTitle: String
  metaDescription: String
}

# Product is not complete at all
type Product{
  url: String
  libelle: String
  articleID: String
  returnable: Boolean
  destocking: Boolean
}

type ProductAlgoliaVehicle {
  oilPanCapacity: String
}
type ProductAlgoliaData {
  vehicle: ProductAlgoliaVehicle

}
# I'm not sure we use only this
type ProductAlgolia {
  data: ProductAlgoliaData
}

type VehicleCompatibilityDataVehicleBrand {
  id: String
  name: String
}
type VehicleCompatibilityDataVehicle{
  brand: VehicleCompatibilityDataVehicleBrand
}

type VehicleCompatibilityData{
  vehicle: VehicleCompatibilityDataVehicle
}
type VehicleCompatibility {
  data: VehicleCompatibilityData
  vehicleLabel: String
  catalogUrl: String
  idGroupGeneric: Int
  vehicleLabelImg: String
}

# this is not true cause the actual json is  " key: value" which is not a valid format
type Translation {
  key: String
  value: String
}
type Center2BlockAlgolia{
  searchKey: String
  indexName: String
  searchPage: Boolean
  filters: String
}
type Center2BlockConf{
  algolia: Center2BlockAlgolia

}
type Center2Block {
  conf: Center2BlockConf
  translations: [Translation!]
}
type Query {
  shopConf: ShopConf
  parameters: Parameters
  headerLinks: [HeaderLink!]
  footerBrand: [FooterBlock!]
  phoneBlocks: [PhoneBlock!]
  flags: [FlagBlock]
  module: ModuleSelector
  frontMenu: [FrontMenuBlock!]
  footerMenu: [FooterMenuBlock!]
  footerManufacturer: [MaList!]
 # only the first element is used
  hrefLang: [HrefLang]
  seo:Seo
  productCollection: [Product!]
  productListingAlgolia: ProductAlgolia
  vehicleCompatibility: VehicleCompatibility
  center2: Center2Block
}
